{% extends "base.html" %}
{% block content %}
<div class="row">
    <div class="col-md-12">
        O mapa de desaparecimento é o local onde você poderá verificar as regiões com maior índice de desaparecimento.
    </div>
    <div class="col-md-12">
        <div id="map" style='width: 100%; max-height: 500px'></div>
        <script>
            document.addEventListener("DOMContentLoaded", function () {

                const accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA'
                const center = [-47.9100981, -15.85144512]
                const features = [];

                $.getJSON("{{ url_for('missing_controller.list_all_locations') }}", function (data) {
                    $.each(data.locations, function (key, val) {
                        features.push({
                            "type": "Feature",
                            "properties": {
                                "description": `Quantidade ${val.quantity}`,
                            },
                            "geometry": {
                                "type": "Point",
                                "coordinates": val.geometry
                            }
                        });
                    });

                    let geojson = {
                        type: 'FeatureCollection',
                        features: features
                    };

                    setupMapBox(accessToken,center, "map", geojson, 3);
                });

            });
        </script>
    </div>
</div>
{% endblock %}